<%*
// Define my document types
const common = [
  { 
	name: "CommonTop",
	prefix: "top",
	fields: `
	    aliases: 
		type: 
		archetype: "[[My Stuff]]"
	  `
  },

  { 
	name: "CommonBottom",
	prefix: "bot",
	fields: `
		summary:  
	    purpose: 
	    rating: 
	    source: 
	  `
  },  

  { 
	 name: "config",
	 class: "Stuff",
	 template: "Stuff Super Template"
 }
]

const main = [
  { name: "My Articles",
	prefix: "myart",
	folder: "My Stuff",
    fields: `
	    published: 
	    journal: 
	    repository: 
	    partition: 
	    folder: 
	    up: "[[My Articles]]"
	    related: 
	    status: 
	    tags: content/article
	    `
  },

  { name: "My Code",
	prefix: "mycod",
	folder: "My Stuff",
	exclude: ["source"],
    fields: `
		gist_url: 
		partition: 
		folder: 
		language: 
		up: "[[My Code]]"
		related: 
		status: active
		tags: content/code
    `
  }, 
  
    { name: "My Comments",
	  prefix: "mycom",
	  folder: "My Stuff",
      fields: `
	    prefix: "mycom",
	    published: 
	    journal: 
	    up: "[[My Comments]]"
	    related: 
	    status: 
	    tags: content/comment	    
    `
  },
  
  { name: "My Computers",
	prefix: "mycomp",
	folder: "My Stuff",
    fields: `
		purchased: 
		brand: 
		cost: 
		CPU: 
		RAM:  
		OS: 
		use: 
		assigned: 
		location: "[[At Home]]"
		up: "[[Equipment]]"
		related:  
		status: unknown
		tags: digital/assets
    `
  }, 
  
  { name: "My Devices",
	prefix: "mydev",
	folder: "My Stuff",
    fields: `
		purchased: 
		brand: 
		cost: 
		use: 
		location: "[[At Home]]"
		up: "[[My Devices]]"
		related: 
		status: unknown
		tags: digital/assets
    `
  },

  { name: "My Contributions",
	prefix: "mycontrib",
	folder: "My Stuff",
    fields: `
	    published: 
	    journal: 
	    up: "[[My Contributions]]"
	    related: 
	    status: 
	    tags: content/contributions
    `
  },

  { name: "My Packages",
	prefix: "mypkg",
	folder: "My Stuff",
    fields: `
	    published: 
	    repository: 
	    partition: 
	    folder: 
	    OS: 
	    language: 
	    up: "[[My Packages]]"
	    related: 
	    status: 
	    tags: code/packages
    `
  },

  { name: "My Partitions",
	prefix: "mypart",
	folder: "My Stuff",
    fields: `
	    label: 
	    name: 
	    OS: 
	    size: 
	    up: "[[My Partitions]]"
	    related: 
	    status: 
	    tags: system/partitions
    `
  },

  { name: "My Portable Disks",
	prefix: "myporta",
	folder: "My Stuff",
    fields: `
		purchased: 
		brand: 
		cost: 
		use: 
		size: 
		location: "[[At Home]]"
		up: "[[My Portable Disks]]"
		related: 
		status: unknown
		tags: digital/assets
    `
  },
  
  { name: "My Portfolio",
	prefix: "myportf",
	folder: "My Stuff",
    fields: `
	    published: 
	    language: 
	    partition:
	    folder: 
	    up: "[[My Portfolio]]"
	    related: 
	    status: unknown
	    tags: content/portfolio
    `
  },
  
  { name: "My Repositories",
	prefix: "myrepos",
	folder: "My Stuff",
    fields: `
	    created: 
	    url:  
	    branch: 
	    partition: "[[2560x]]"
	    folder: 
	    language: 
	    up: "[[Programming]]"
	    related: 
	    status: unknown
	    is_synced: false
	    tags: content/code
	 `
	},

{ name: "My Transcripts",
  prefix: "mytransc",
  folder: "My Stuff",
  fields: `
		published: 
		journal: 
		url:
		partition: 
		folder: 
		up: "[[My Transcripts]]"
		related: 
		status: unknown
		tags: content/transcript
  `
  },

{ name: "My Virtual Machines",
  prefix: "myvm",
  folder: "My Stuff",
  fields: `
		created: 
		last_used: 
		brand: 
		OS: 
		size: 
		RAM: 
		network: 
		partition: 
		folder: 
		up: "[[My Virtual Machines]]"
		related: 
		status: unknown
		tags: digital/virtual
  `
},
]

let obj = [];
obj.common = common;
obj.main = main;
return obj;
-%>




